%define url_ver	%(echo %{version}|cut -d. -f1,2)

# filter out plugins from provides
%global __provides_exclude_from %{_libdir}/%{name}/.*\\.so

Name:		geary
Version:	3.36.0
Release:	%mkrel 1
Summary:	A lightweight email program designed around conversations
License:	LGPLv2+
Group:		Networking/Mail
URL:		https://wiki.gnome.org/Apps/Geary
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	iso-codes
BuildRequires:	itstool
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(folks)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gmime-2.6)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(javascriptcoregtk-4.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libhandy-0.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libytnef)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	pkgconfig(webkit2gtk-web-extension-4.0)
Requires:	hicolor-icon-theme

%description
Geary is a new email reader for GNOME designed to let you read your email
quickly and effortlessly. Its interface is based on conversations, so you
can easily read an entire discussion without having to click from message
to message.
Geary is still in early development and has limited features today, but
we're planning to add lightning-fast searching, multiple account support,
and much more. Eventually we'd like Geary to have an extensible plugin
architecture so that developers will be able to add all kinds of nifty
features in a modular way.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Geary.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Geary.service
%{_iconsdir}/hicolor/*/apps/*.*
%{_iconsdir}/hicolor/*/actions/*.*
%{_datadir}/metainfo/org.gnome.Geary.appdata.xml
%{_libdir}/%{name}/
%{_datadir}/help


%post
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
%update_menus

%postun
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
%clean_menus


%changelog
* Sat Mar 14 2020 tex - 3.36.0-1pclos2020
- new version

* Thu Jan 16 2020 tex - 3.34.2-1pclos2020
- update
